﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.Misc;
using Infragistics.Win;

namespace WindowsFormsApplication148
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        UltraDesktopAlertShowWindowInfo info = new UltraDesktopAlertShowWindowInfo("CAPT", "TEXT");
        private void Form1_Load(object sender, EventArgs e)
        {
            ultraDesktopAlert1.CreationFilter = new CF();
            ultraDesktopAlert1.Show(info);            
        }
    }

    class CF : IUIElementCreationFilter
    {
        void IUIElementCreationFilter.AfterCreateChildElements(UIElement parent)
        {
            if (parent is WindowClientAreaUIElement)
            {
                TextUIElement text = new TextUIElement(parent, "TEXT CF");
                text.Rect = new Rectangle(100,10, 100, 15);
                parent.ChildElements.Add(text);
                UltraButton btn = new UltraButton();
                UltraButtonControlUIElement btnCtrl = new UltraButtonControlUIElement(btn);
                UltraButtonUIElement buttonUI = new UltraButtonUIElement(btnCtrl);
                buttonUI.Button.Text = "button";
                buttonUI.Rect = new Rectangle(200, 10, 100, 20);
                parent.ChildElements.Add(buttonUI);
            }
        }

        bool IUIElementCreationFilter.BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }

}
